Post

Post
Create or update a catalog source. Creating or updating also imports (or re-imports) the associated catalog items.

Creates a new catalog source or updates an existing catalog source based on the request body and imports catalog items from it.

Request
URI
POST
https://{vcfa-fqdn}/catalog/api/admin/sources
COPY
Query Parameters
boolean
validationOnly
Optional

If true, the source will not be created. It returns the number of items belonging to the source. The request will still return an error code if the source is invalid.


Request Body
CatalogSource of type(s) application/json
Required  

Show optional properties

{
    "config": {},
    "id": "string",
    "name": "string",
    "typeId": "string"
}
{
    "config": {},
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "description": "string",
    "global": false,
    "iconId": "string",
    "id": "string",
    "itemsFound": 0,
    "itemsImported": 0,
    "lastImportCompletedAt": "string",
    "lastImportErrors": [
        "string"
    ],
    "lastImportStartedAt": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "name": "string",
    "originOrgId": "string",
    "projectId": "string",
    "typeId": "string"
}
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc

Authentication
This operation uses the following authentication methods.
Responses
200

Validation is ok

Returns CatalogSource of type(s) application/json
{
    "config": {},
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "description": "string",
    "global": false,
    "iconId": "string",
    "id": "string",
    "itemsFound": 0,
    "itemsImported": 0,
    "lastImportCompletedAt": "string",
    "lastImportErrors": [
        "string"
    ],
    "lastImportStartedAt": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "name": "string",
    "originOrgId": "string",
    "projectId": "string",
    "typeId": "string"
}
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


201

Created

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


400

Bad Request

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


401

Unauthorized

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


403

Forbidden

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


404

Not Found

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"config":"object","id":"string","name":"string","typeId":"string"}' https://{api_host}/catalog/api/admin/sources